{ config, pkgs, ... }:

{
  imports =
    [
      ./hardware-configuration.nix
      ../../modules/restic.nix
      ../../modules/texlive.nix
      ../../profiles/base.nix
      ../../profiles/dev.nix
      ../../profiles/gui.nix
      ../../users/simon/base.nix
    ];

  boot.loader.grub.device = "/dev/disk/by-id/ata-INTEL_SSDSC2KB480G7_PHYS749202D6480BGN";

  boot.initrd.luks.devices = {
    root = {
      name = "root";
      device = "/dev/disk/by-uuid/f3a2fa57-581b-4e95-9a45-d61cda9edc54";
      preLVM = true;
      allowDiscards = true;
    };
  };

  networking.hostName = "nunotaba";

  networking.wireguard.interfaces.wg-home.ips = [ "10.80.0.4/24" ];
}
